<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
]>

<xsl:stylesheet
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format"
	xmlns:svg="http://www.w3.org/2000/svg" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:sql="bitel.billing.server.util.exslt.SQLQuery"	
	xmlns:utils="bitel.billing.server.util.Utils"
	xmlns:counter="bitel.billing.server.util.exslt.Counter">
	
	<xalan:component prefix="sql" functions="select">
   			 <xalan:script lang="javaclass" src="xalan://bitel.billing.server.util.exslt.SQLQuery"/>
  	</xalan:component>  	
  	<xalan:component prefix="utils" functions="maskBlank, replace">
   			 <xalan:script lang="javaclass" src="xalan://bitel.billing.server.util.Utils"/>
  	</xalan:component>

	<xsl:output encoding="windows-1251" method='xml' indent='yes' />
	
	<!--   -->
	<xsl:variable name="address_param_id" select="'21'"/>
	<xsl:variable name="phone_mid" select="'1'"/>
	<xsl:variable name="npay_mid" select="'2'"/>
	
	<xsl:variable name="service_abon_line" select="'4'"/>
	<xsl:variable name="service_abon_service" select="'6'"/>
	<xsl:variable name="service_phone_mest" select="'1'"/>			
	<xsl:variable name="service_phone_zone" select="'2'"/>
	<!--   -->
	<xsl:variable name="service_phone_sprav" select="'1'"/>
	<xsl:variable name="service_phone_zone_mob" select="'2'"/>
	
	<xsl:variable name="tariff_abon" select="'3'"/>
	<xsl:variable name="tariff_povrem" select="'1'"/>
	<xsl:variable name="tariff_komb" select="'14'"/>
	<xsl:variable name="tariff_soc" select="'4'"/>
	
	<xsl:variable name="position_charge" select="'8'"/>
	<xsl:variable name="position_pay" select="'9'"/>
	<xsl:variable name="position_in_debt" select="'6'"/>
	<xsl:variable name="position_payment" select="'7'"/>
	<xsl:variable name="position_recalculation" select="'12'"/>
	<xsl:variable name="position_inet" select="'10'"/>
	
	<xsl:variable name="pos_address_delim" select="'25'"/>
	
	<!--   -->
	<xsl:variable name="mm" select="format-number(/data/bill/@mm, '00')"/>
	<xsl:variable name="yy" select="substring(/data/bill/@yy, 3, 2)"/>
	<xsl:variable name="npay_detail_table" select="concat( 'npay_detail_', $npay_mid, '_', /data/bill/@yy, $mm )"/>
	<xsl:variable name="phone_session_table" select="concat( 'log_session_', $phone_mid, '_', /data/bill/@yy, $mm )"/>
	<xsl:variable name="phone_dest_table" select="concat( 'phone_dest_', $phone_mid )"/>
		
	<xsl:variable name="cid" select="/data/bill/@cid"/>
	
	<xsl:variable name="month" select="/data/bill/@month"/>
	<xsl:variable name="date1" select="/data/bill/@period_date1"/>
	<xsl:variable name="date2" select="/data/bill/@period_date2"/>
	
	<xsl:variable name="sql_date1" select="concat('&quot;', substring($date1,7),'-',substring($date1,4,2),'-',substring($date1,1,2), '&quot;')"/>
	<xsl:variable name="sql_date2" select="concat('&quot;', substring($date2,7),'-',substring($date2,4,2),'-',substring($date2,1,2), '&quot;')"/>
		
	<xsl:variable name="date_filter" select="concat(' AND date1&lt;=', $sql_date2, ' AND (date2 IS NULL OR date2&gt;=', $sql_date1, ')')"/>	
	<xsl:variable name="item_date_filter" select="concat(' AND item.date1&lt;=', $sql_date2, ' AND (item.date2 IS NULL OR item.date2&gt;=', $sql_date1, ')')"/>
	
	<xsl:variable name="query" 
				  select="concat('SELECT item.id, SUBSTR(number.number,5) AS number FROM phone_client_item_', $phone_mid, 
				  		 ' AS item LEFT JOIN phone_item_number_',  $phone_mid, 
				  		 ' AS number ON item.id=number.item_id WHERE item.cid=', $cid, 
				  		 $item_date_filter )"/>
    <xsl:variable name="numbers" select="sql:select( $query )"/>
	    
	<xsl:attribute-set name="text">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="text_bold">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-weight">bold</xsl:attribute>
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	</xsl:attribute-set>
	
	 <xsl:attribute-set name="text7">
	 	<xsl:attribute name="text-align">left</xsl:attribute>
	 	<xsl:attribute name="font-family">arial</xsl:attribute>
	 	<xsl:attribute name="font-size">7pt</xsl:attribute>
	 	<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
	 	<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	 </xsl:attribute-set>
	 
	 <xsl:attribute-set name="text7_bold">
	 	<xsl:attribute name="text-align">left</xsl:attribute>
	 	<xsl:attribute name="font-family">arial</xsl:attribute>
	 	<xsl:attribute name="font-weight">bold</xsl:attribute>
	 	<xsl:attribute name="font-size">7pt</xsl:attribute>
	 	<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
	 	<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	 </xsl:attribute-set>
	 
	  <xsl:attribute-set name="text6">
	 	<xsl:attribute name="text-align">left</xsl:attribute>
	 	<xsl:attribute name="font-family">arial</xsl:attribute>
	 	<xsl:attribute name="font-size">6pt</xsl:attribute>
	 	<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
	 	<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	 </xsl:attribute-set>	 
	 
	 <xsl:attribute-set name="text5">
	 	<xsl:attribute name="text-align">left</xsl:attribute>
	 	<xsl:attribute name="font-family">arial</xsl:attribute>
	 	<xsl:attribute name="font-size">5pt</xsl:attribute>
	 	<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
	 	<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	 </xsl:attribute-set>	 
	 
	 <xsl:attribute-set name="cell_border_right">
		<xsl:attribute name="border-width">0.05cm</xsl:attribute>
		<xsl:attribute name="border-right-style">solid</xsl:attribute>
	</xsl:attribute-set>
	
	<xsl:attribute-set name="cell_border_canvas">
		<xsl:attribute name="border-width">0.05cm</xsl:attribute>
		<xsl:attribute name="border-style">solid</xsl:attribute>		
	</xsl:attribute-set>

	<xsl:attribute-set name="cell_border">
		<xsl:attribute name="border-width">0.7pt</xsl:attribute>
		<xsl:attribute name="border-top-style">solid</xsl:attribute>
		<xsl:attribute name="border-bottom-style">solid</xsl:attribute>
		<xsl:attribute name="border-left-style">solid</xsl:attribute>
		<xsl:attribute name="border-right-style">solid</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="cell_border_top">
		<xsl:attribute name="border-width">0.7pt</xsl:attribute>
		<xsl:attribute name="border-top-style">solid</xsl:attribute>
		<xsl:attribute name="border-left-style">solid</xsl:attribute>
		<xsl:attribute name="border-right-style">solid</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="cell_border_bottom">
		<xsl:attribute name="border-width">0.7pt</xsl:attribute>
		<xsl:attribute name="border-bottom-style">solid</xsl:attribute>
		<xsl:attribute name="border-left-style">solid</xsl:attribute>
		<xsl:attribute name="border-right-style">solid</xsl:attribute>
	</xsl:attribute-set>
	
	<xsl:attribute-set name="table_detail_text_center">
		<xsl:attribute name="text-align">center</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">6pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="space-before">0.1cm</xsl:attribute>
	</xsl:attribute-set>
	
	<xsl:attribute-set name="table_detail_text_left">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">6pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="space-before">0.1cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="table_detail_text_left_bold">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">6pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="space-before">0.1cm</xsl:attribute>
		<xsl:attribute name="font-weight">bold</xsl:attribute>
	</xsl:attribute-set>

	<xsl:template match="data">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<xsl:apply-templates select="bill" />
		</fo:root>
	</xsl:template>
	
	<xsl:template match="bill">
		<xsl:value-of select="counter:set('total', '0.0')"/>
				
		<fo:layout-master-set>
			<fo:simple-page-master margin-right="0.5cm" margin-left="0.5cm"
				margin-bottom="0.5cm" margin-top="0.5cm" page-width="21cm"
				page-height="29.7cm" master-name="first">
				
				<fo:region-body margin-top="0cm" margin-bottom="0cm" />
				<fo:region-before extent="0cm" />
				<fo:region-after extent="0cm" />
			</fo:simple-page-master>
		</fo:layout-master-set>
	
		<fo:page-sequence master-reference="first">	
			<fo:flow flow-name="xsl-region-body">

				<!--  -->
				<fo:table table-layout="fixed">
				    <fo:table-column column-width="5cm"/>
				    <fo:table-column column-width="8.2cm"/>
				    <fo:table-column column-width="7cm"/>
			
					<fo:table-body>
						<fo:table-row>
						  	<fo:table-cell xsl:use-attribute-sets="cell_border_right">
							    <fo:block xsl:use-attribute-sets="text"></fo:block>
								<fo:block xsl:use-attribute-sets="text7">   </fo:block>
						  	</fo:table-cell>
						  	<fo:table-cell xsl:use-attribute-sets="cell_border_right" padding-left="0.2cm">	
						  		<xsl:call-template name="main_data"/>
							    
							    <fo:table table-layout="fixed" space-before="0.3cm">
								    <fo:table-column column-width="2.6cm"/>
								    <fo:table-column column-width="5.1cm"/>
								    
									<fo:table-body>
										<fo:table-row>
										  	<fo:table-cell xsl:use-attribute-sets="cell_border_canvas" height="1cm">
											    <fo:block xsl:use-attribute-sets="text5" margin-left="0cm" space-after="0.5cm"></fo:block>
										  	</fo:table-cell>
										  	<fo:table-cell xsl:use-attribute-sets="cell_border_canvas" margin-left="0.5cm" height="1cm">
											    <fo:block xsl:use-attribute-sets="text5"></fo:block>
	  											<fo:block xsl:use-attribute-sets="text5" space-before="0.6cm" margin-left="3.3cm"> </fo:block>		
										  	</fo:table-cell>
										 </fo:table-row>
									</fo:table-body>
								</fo:table> 
					    	</fo:table-cell>
					    	<fo:table-cell padding-left="0.2cm">
					    		<fo:block xsl:use-attribute-sets="text7_bold"> "  - "</fo:block>						 							      
					    		<fo:block xsl:use-attribute-sets="text6">620090, ., ., 18/,</fo:block>
					    		<fo:block xsl:use-attribute-sets="text6"> 6659033457,  665901001,</fo:block>
					    		<fo:block xsl:use-attribute-sets="text6">/ 40702810916260101115,</fo:block>
					    		<fo:block xsl:use-attribute-sets="text6">    , .,</fo:block>
					    		<fo:block xsl:use-attribute-sets="text6"> 046577674, / 30101810500000000674.</fo:block>
					    		
					    		<fo:block xsl:use-attribute-sets="text7_bold" space-before="0.5cm" text-align="center"> </fo:block>						 							      
					    		<fo:block xsl:use-attribute-sets="text6" text-align="justify"> "  - "   </fo:block>
					    		<fo:block xsl:use-attribute-sets="text6" text-align="justify">     ,   </fo:block>
					    		<fo:block xsl:use-attribute-sets="text6">       </fo:block>
					    		<fo:block xsl:use-attribute-sets="text6">      ,</fo:block>
					    		<fo:block xsl:use-attribute-sets="text6">   .</fo:block>
					    		
					    		<!--  -->
					    		<!--  xsl:use-attribute-sets="cell_border_canvas" -->
					    		<fo:block space-before="1.05cm" margin-left="-0.1cm">
					    			<!-- 128- ,  StartA, T, K, B, CodeC  -->
					    			<xsl:variable name="code_start" select="'128a|TKB&#199;'"/>
					    			<!--   () - 7  -->
					    			<xsl:variable name="number" select="$numbers/row/@number"/>
					    			<!--   - 4  -->
					    			<xsl:variable name="period_opl" select="concat( $mm, $yy )"/>
					    			<!--  -->
					    			<xsl:variable name="rub" select="substring-before(/data/bill/@total_sum,'.')"/>
					    			<xsl:variable name="kop" select="substring-after(/data/bill/@total_sum,'.')"/>
					    			<xsl:variable name="rub_length" select="string-length($rub)"/>

									<!-- 
					    			<fo:external-graphic src="ftp://shamil:ceckbr@gate.bitel.ru/bar.gif"/>					    						
					    			-->	 
									
					    			<xsl:choose>
					    				<xsl:when test="$rub_length mod 2 = 0">
					    					<xsl:variable name="sum_part_c" select="$rub"/>
					    					<xsl:variable name="sum_part_a" select="concat('.', $kop)"/>
					    					
					    					<fo:external-graphic width="6cm" height="1cm">
	  											<xsl:attribute name="src"><xsl:value-of select="concat('barcode:///', $code_start, $number, $period_opl, $sum_part_c, '&#201;', $sum_part_a, '&lt;SOH&gt;')"/></xsl:attribute>
	  										</fo:external-graphic>	  										
					    				</xsl:when>
					    				<xsl:otherwise>
					    					<xsl:variable name="sum_part_c" select="substring($rub, 1, $rub_length - 1)"/>
					    					<xsl:variable name="sum_part_a" select="concat(substring($rub, $rub_length, 1),'.', $kop)"/>
					    					
					    					<fo:external-graphic width="6cm" height="1cm">
			  									<xsl:attribute name="src"><xsl:value-of select="concat('barcode:///', $code_start, $number, $period_opl, $sum_part_c, '&#201;', $sum_part_a, '&lt;SOH&gt;')"/></xsl:attribute>
			  								</fo:external-graphic>			  								
					    				</xsl:otherwise>					    				
					    			</xsl:choose>					    			 													 							      
	    						</fo:block>						    		
					    	</fo:table-cell>
					    </fo:table-row>
					</fo:table-body>
				</fo:table>
				
				<xsl:call-template name="line"/>
				
				<!-- - -->
				<fo:table table-layout="fixed">
				    <fo:table-column column-width="5cm"/>
				    <fo:table-column column-width="8.2cm"/>
				    <fo:table-column column-width="7cm"/>			
			
					<fo:table-body>
						<fo:table-row>
						  	<fo:table-cell xsl:use-attribute-sets="cell_border_right">
							    <fo:block xsl:use-attribute-sets="text">-</fo:block>
								<fo:block xsl:use-attribute-sets="text7">  </fo:block>
						  	</fo:table-cell>
						  	<fo:table-cell xsl:use-attribute-sets="cell_border_right" padding-left="0.2cm">	
						  		<xsl:call-template name="main_data"/>
						  		<fo:block xsl:use-attribute-sets="text" space-before="1.3cm"/>
					    	</fo:table-cell>
					    	<fo:table-cell>
					    		<!--    -->
					    		<!-- fo:external-graphic src="webroot/tkural_logo.gif" width="3.3cm" height="1.6cm"/>  -->				    		
					    	</fo:table-cell>
					    </fo:table-row>
					</fo:table-body>
				</fo:table>
				
				<xsl:call-template name="line"/>
				
				<!--  -->
				<fo:table table-layout="fixed">
					<fo:table-column column-width="2cm"/>
					<fo:table-column column-width="11.6cm"/>
					<fo:table-column column-width="3.2cm"/>
					<fo:table-column column-width="3.2cm"/>
		
					<fo:table-header>
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="cell_border_top">
								<fo:block xsl:use-attribute-sets="table_detail_text_center"></fo:block>
							</fo:table-cell>		
							<fo:table-cell xsl:use-attribute-sets="cell_border_top" display-align="center">
								<fo:block xsl:use-attribute-sets="table_detail_text_center"> </fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border_top" display-align="center">
								<fo:block xsl:use-attribute-sets="table_detail_text_center">-</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border_top" display-align="center">
								<fo:block xsl:use-attribute-sets="table_detail_text_center"></fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-header>
		
					<fo:table-body>
						<xsl:for-each select="$numbers/row">
							<xsl:call-template name="mest_svyaz">
								<xsl:with-param name="id" select="@id"/>
								<xsl:with-param name="number" select="@number"/>
							</xsl:call-template>
							
							<xsl:call-template name="zone_svyaz">
								<xsl:with-param name="id" select="@id"/>
								<xsl:with-param name="number" select="@number"/>
							</xsl:call-template>				
						</xsl:for-each>
						<xsl:call-template name="services"/>
						<xsl:call-template name="inet"/>
						<xsl:call-template name="balance"/>
					</fo:table-body>
				</fo:table>
								
				<fo:block xsl:use-attribute-sets="text" space-before="0.2cm">
					          . 237-0003,  237-0009 (. - .  8:30  17:00)    
					 : ., ., 55.
				</fo:block>
			</fo:flow>
		</fo:page-sequence>		
	</xsl:template>
	
	<!--   -->	
	<xsl:template name="mest_svyaz">
		<xsl:param name="id"/>
		<xsl:param name="number"/>

		<xsl:value-of select="counter:set('mest', '0.0')"/>

		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"></fo:block></fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
				<fo:block xsl:use-attribute-sets="table_detail_text_left_bold"> <xsl:value-of select="$number"/>  </fo:block>
			</fo:table-cell>			
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center"><fo:block xsl:use-attribute-sets="table_detail_text_center"></fo:block></fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center"><fo:block xsl:use-attribute-sets="table_detail_text_center"></fo:block></fo:table-cell>
		</fo:table-row>
		
		<xsl:variable 
			name="tariff_plan" 
			select="sql:select( concat('SELECT tpid FROM contract_tariff WHERE cid=', $cid, ' AND emid=', $phone_mid, ' AND eid=', $id, $date_filter, ' LIMIT 1' ) )/row/@tpid"/>
		
		<xsl:variable
			name="id_filter"
			select="concat( ' AND mid=', $phone_mid, ' AND eid=', $id)"/>	
			
		<xsl:variable
			name="abon_service"
			select="utils:replace(sql:select( concat( 'SELECT FORMAT(SUM(summa),2) AS sum FROM ', $npay_detail_table, ' WHERE sid=', $service_abon_service, $id_filter ) )/row/@sum, ',', '')"/>
			
		<xsl:variable
			name="abon_line"
			select="utils:replace(sql:select( concat( 'SELECT FORMAT(SUM(summa),2) AS sum FROM ', $npay_detail_table, ' WHERE sid=', $service_abon_line, $id_filter ) )/row/@sum, ',', '')"/>

		<xsl:variable
			name="minute_select_query"
			select="concat( 'SELECT SUM(round_session_time) DIV 60 AS min, FORMAT(SUM(cost),2) AS sum FROM ', $phone_session_table, ' WHERE sid IN (', $service_phone_mest, ',', $service_phone_sprav, ') AND item_id=', $id )"/>
			
		<xsl:variable
			name="no_tariff_minutes"
			select="sql:select( concat( $minute_select_query, ' AND cost=0' ) )"/>	
			
		<xsl:variable
			name="tariff_minutes"
			select="sql:select( concat( $minute_select_query, ' AND cost!=0' ) )"/>	
		
		
		<!--     -->	
		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"></fo:block></fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
				<fo:block xsl:use-attribute-sets="table_detail_text_left">   </fo:block>
			</fo:table-cell>			
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
				<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="$month"/></fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
				<fo:block xsl:use-attribute-sets="table_detail_text_left">
					<xsl:value-of select="utils:maskBlank($abon_line,'0')"/>
					<!-- <xsl:value-of select="counter:add('total', $abon_line)"/> -->
					<xsl:value-of select="counter:add('mest', $abon_line)"/>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>	
		 	
		<!--    -->
		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"/></fo:table-cell>
			 
			<fo:table-cell xsl:use-attribute-sets="cell_border">
				<fo:block xsl:use-attribute-sets="table_detail_text_left">
					 
					<xsl:choose>
						<xsl:when test="$tariff_plan=$tariff_abon">""</xsl:when>
						<xsl:when test="$tariff_plan=$tariff_soc">""</xsl:when>
						<xsl:when test="$tariff_plan=$tariff_komb">""</xsl:when>
						<xsl:when test="$tariff_plan=$tariff_povrem">""</xsl:when>
						<xsl:otherwise>(<xsl:value-of select="$tariff_plan"/>)</xsl:otherwise>
					</xsl:choose>
				</fo:block>
			</fo:table-cell>
			 
			 
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
				<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="$month"/></fo:block>
			</fo:table-cell>
			 
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
				<fo:block xsl:use-attribute-sets="table_detail_text_left">
					<xsl:value-of select="utils:maskBlank($abon_service,'0')"/>
					<!-- <xsl:value-of select="counter:add('total', $abon_service)"/> -->
					<xsl:value-of select="counter:add('mest', $abon_service)"/>
				</fo:block>
			</fo:table-cell>			
		</fo:table-row>
		 
		<!--   -->	
		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"></fo:block></fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
				<fo:block xsl:use-attribute-sets="table_detail_text_left"> </fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
				<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="utils:maskBlank($tariff_minutes/row/@min, '0')"/> .</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
				<fo:block xsl:use-attribute-sets="table_detail_text_left">
					<xsl:variable name="tariff_min_sum" select="utils:replace(utils:maskBlank($tariff_minutes/row/@sum, '0'),',','')"/>
					<xsl:value-of select="$tariff_min_sum"/>
					
					<!-- <xsl:value-of select="counter:add('total', $tariff_min_sum)"/> -->
					<xsl:value-of select="counter:add('mest', $tariff_min_sum)"/>					
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
		
		<!--   -->	
		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"></fo:block></fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
				<fo:block xsl:use-attribute-sets="table_detail_text_left"> </fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
				<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="utils:maskBlank($no_tariff_minutes/row/@min, '0')"/> .</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
				<fo:block xsl:use-attribute-sets="table_detail_text_left">0</fo:block>
			</fo:table-cell>
		</fo:table-row>
		
		<!--  -->	
		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"></fo:block></fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
				<fo:block xsl:use-attribute-sets="table_detail_text_left_bold">  </fo:block>
			</fo:table-cell>			
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center"><fo:block xsl:use-attribute-sets="table_detail_text_center"></fo:block></fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center"><fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="format-number(counter:get('mest'), '0.00')"/> </fo:block></fo:table-cell>

			<xsl:value-of select="counter:add('total', format-number(counter:get('mest'), '0.00'))"/>
		</fo:table-row>
		
		<xsl:call-template name="table_empty_row"/>
	</xsl:template>
	
	
	<!--   -->
	<xsl:template name="zone_svyaz">
		<xsl:param name="id"/>
		<xsl:param name="number"/>
		
		<xsl:value-of select="counter:set('zone', '0.0')"/>
		
		<xsl:variable
			name="zone_calls"
			select="sql:select( concat( 'SELECT DATE_FORMAT(ses.session_start,&quot;%d.%m.%Y&quot;) AS dt, SUBSTR(ses.to_number_164,2,3) AS to_num, 
					SUM(ses.round_session_time DIV 60) AS min, FORMAT(SUM(ses.cost),2) AS cost, dest.title AS dest FROM ', $phone_session_table, ' AS ses ',
            		'LEFT JOIN ', $phone_dest_table, ' AS dest ON ses.dest_id=dest.id ',
            		'WHERE item_id=', $id, ' AND sid IN (', $service_phone_zone_mob, ',', $service_phone_zone, ') ',
            		'AND ses.round_session_time>0 ',
            		'GROUP BY dt, to_num ORDER BY dt, to_num') )"/>
            		
        <xsl:if test="$zone_calls/row">
        	<fo:table-row>
				<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"></fo:block></fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
					<fo:block xsl:use-attribute-sets="table_detail_text_left_bold"> <xsl:value-of select="$number"/>  </fo:block>
				</fo:table-cell>			
				<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center"><fo:block xsl:use-attribute-sets="table_detail_text_center"></fo:block></fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center"><fo:block xsl:use-attribute-sets="table_detail_text_center"></fo:block></fo:table-cell>
			</fo:table-row>
			
			<!--    -->
			<xsl:for-each select="$zone_calls/row">	
				<fo:table-row>				
					<fo:table-cell xsl:use-attribute-sets="cell_border">
						<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="@dt"/></fo:block></fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
						<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="@to_num"/>&#160;<xsl:value-of select="@dest"/></fo:block>
					</fo:table-cell>			
					<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
						<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="@min"/> .</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
						<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="@cost"/></fo:block>
						<!-- <xsl:value-of select="counter:add('total', @cost)"/> -->
						<xsl:value-of select="counter:add('zone', @cost)"/>
					</fo:table-cell>				
				</fo:table-row>
			</xsl:for-each>
			
			<!--  -->	
			<fo:table-row>
				<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"></fo:block></fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
					<fo:block xsl:use-attribute-sets="table_detail_text_left_bold">  </fo:block>
				</fo:table-cell>			
				<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center"><fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="sum($zone_calls/row/@min)"/> .</fo:block></fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center"><fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="format-number(counter:get('zone'), '0.00')"/></fo:block></fo:table-cell>

				<xsl:value-of select="counter:add('total', format-number(counter:get('zone'), '0.00'))"/>
			</fo:table-row>
			
			<xsl:call-template name="table_empty_row"/>		
        </xsl:if>
	</xsl:template>
	
	<!--     -->
	<xsl:template name="services">
		<xsl:if test="/data/bill/pos[@position_id=$position_charge]">
			<fo:table-row>
				<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"></fo:block></fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
					<fo:block xsl:use-attribute-sets="table_detail_text_left_bold"> </fo:block>
				</fo:table-cell>			
				<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center"><fo:block xsl:use-attribute-sets="table_detail_text_center"></fo:block></fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center"><fo:block xsl:use-attribute-sets="table_detail_text_center"></fo:block></fo:table-cell>
			</fo:table-row>
			
			<!--   -->	
			<xsl:for-each select="/data/bill/pos[@position_id=$position_charge]">
				<fo:table-row>				
					<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"></fo:block></fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
						<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="@name"/></fo:block>
					</fo:table-cell>			
					<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
						<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="@quantity"/></fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
						<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="@summ"/></fo:block>
						<xsl:value-of select="counter:add('total', @summ)"/>
					</fo:table-cell>					
				</fo:table-row>
			</xsl:for-each>
			
			<xsl:call-template name="table_empty_row"/>
        </xsl:if>
        
        <xsl:if test="/data/bill/pos[@position_id=$position_pay]">
        	<fo:table-row>
				<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"></fo:block></fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
					<fo:block xsl:use-attribute-sets="table_detail_text_left_bold"> </fo:block>
				</fo:table-cell>			
				<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center"><fo:block xsl:use-attribute-sets="table_detail_text_center"></fo:block></fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center"><fo:block xsl:use-attribute-sets="table_detail_text_center"></fo:block></fo:table-cell>
			</fo:table-row>
			
			<!--   -->	
			<xsl:for-each select="/data/bill/pos[@position_id=$position_pay]">
				<fo:table-row>				
					<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"></fo:block></fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
						<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="@name"/></fo:block>
					</fo:table-cell>			
					<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
						<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="@quantity"/></fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
						<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="@summ"/></fo:block>
						<xsl:value-of select="counter:add('total', @summ)"/>
					</fo:table-cell>					
				</fo:table-row>
			</xsl:for-each>
			
			<xsl:call-template name="table_empty_row"/>
        </xsl:if>
	</xsl:template>

	<!--    -->
	<xsl:template name="inet">
		<xsl:for-each select="/data/bill/pos[@position_id=$position_inet]">
			<fo:table-row>
				<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"></fo:block></fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
					<fo:block xsl:use-attribute-sets="table_detail_text_left_bold">  </fo:block>
				</fo:table-cell>			
				<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
					<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="@quantity"/> .</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border" display-align="center">
					<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="@summ"/></fo:block>
					<xsl:value-of select="counter:add('total', @summ)"/>
				</fo:table-cell>
			</fo:table-row>
			
			<xsl:call-template name="table_empty_row"/>
        </xsl:for-each>
	</xsl:template>
	
	<!--   -->
	<xsl:template name="balance">
		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"/></fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border">
				<fo:block xsl:use-attribute-sets="table_detail_text_left_bold">  </fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border">
				<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="$month"/></fo:block>
			</fo:table-cell>			 
			<fo:table-cell xsl:use-attribute-sets="cell_border">
				<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="format-number(counter:get('total'), '0.00')"/></fo:block>
			</fo:table-cell>			
		</fo:table-row>
		
		<xsl:variable name="total" select="format-number(counter:get('total'), '0.00')"/>
		<xsl:variable name="payments" select="/data/bill/pos[@position_id=$position_payment]/@summ"/>
		<xsl:variable name="recalculation" select="/data/bill/pos[@position_id=$position_recalculation]/@summ"/>
		<xsl:variable name="in_debt" select="/data/bill/pos[@position_id=$position_in_debt]/@summ"/>		
		<xsl:variable name="to_pay" select="/data/bill/@total_sum"/>
		
		<xsl:if test="$in_debt!=0">		
			<fo:table-row>
				<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"/></fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border">
					<fo:block xsl:use-attribute-sets="table_detail_text_left_bold">
						<xsl:if test="$in_debt&gt;0"></xsl:if>
						<xsl:if test="$in_debt&lt;0"></xsl:if>
						 <xsl:value-of select="$date1"/>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border">
					<fo:block xsl:use-attribute-sets="table_detail_text_left"></fo:block>
				</fo:table-cell>			 
				<fo:table-cell xsl:use-attribute-sets="cell_border">
					<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="utils:replace($in_debt,'-','')"/></fo:block>
				</fo:table-cell>			
			</fo:table-row>
		</xsl:if>
		 
		<xsl:if test="$payments&lt;0">		
			<fo:table-row>
				<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"/></fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border">
					<fo:block xsl:use-attribute-sets="table_detail_text_left_bold">
						  <xsl:value-of select="$date2"/>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border">
					<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="$month"/></fo:block>
				</fo:table-cell>			 
				<fo:table-cell xsl:use-attribute-sets="cell_border">
					<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="utils:replace($payments,'-','')"/></fo:block>
				</fo:table-cell>			
			</fo:table-row>
		</xsl:if>

		<xsl:if test="$recalculation&lt;0">		
			<fo:table-row>
				<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"/></fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border">
					<fo:block xsl:use-attribute-sets="table_detail_text_left_bold">  </fo:block>
<!--<fo:block xsl:use-attribute-sets="table_detail_text_left_bold"><xsl:value-of select="/data/bill/pos[@position_id=$position_recalculation]/@name"/></fo:block>-->
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="cell_border">
					<fo:block xsl:use-attribute-sets="table_detail_text_left"></fo:block>
				</fo:table-cell>			 
				<fo:table-cell xsl:use-attribute-sets="cell_border">
					<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="utils:replace($recalculation,'-','')"/></fo:block>
				</fo:table-cell>			
			</fo:table-row>
		</xsl:if>

		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left"/></fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border">
				<fo:block xsl:use-attribute-sets="table_detail_text_left_bold">
					<xsl:if test="$to_pay&gt;=0">  </xsl:if>
					<xsl:if test="$to_pay&lt;0"> </xsl:if>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border">
				<fo:block xsl:use-attribute-sets="table_detail_text_left"></fo:block>
			</fo:table-cell>			 
			<fo:table-cell xsl:use-attribute-sets="cell_border">
				<fo:block xsl:use-attribute-sets="table_detail_text_left"><xsl:value-of select="utils:replace($to_pay,'-','')"/></fo:block>
			</fo:table-cell>			
		</fo:table-row>
	</xsl:template>
	
	<!--     -->
	<xsl:template name="table_empty_row">
		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left">&#160;</fo:block></fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left">&#160;</fo:block></fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left">&#160;</fo:block></fo:table-cell>			 
			<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="table_detail_text_left">&#160;</fo:block></fo:table-cell>			
		</fo:table-row>
	</xsl:template>

	<!--   -->
	<xsl:template name="main_data">
		<fo:table table-layout="fixed">
		    <fo:table-column column-width="3.6cm"/>
		    <fo:table-column column-width="4cm"/>
		    	
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell><fo:external-graphic src="http://192.168.1.242:8080/bgbilling/tkural_logo.gif" width="3.4cm" height="1.7cm"/></fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="cell_border_canvas">
						<fo:block xsl:use-attribute-sets="text_bold" margin-left="1.1cm" space-before="0.2cm"> </fo:block>
	  					<fo:block xsl:use-attribute-sets="text_bold" margin-left="1.1cm"> <xsl:value-of select="@month"/>&#160;<xsl:value-of select="@yy"/></fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>		
					
		<!-- 
		<fo:external-graphic src="webroot/tkural_logo.gif" width="3.4cm" height="1.7cm"/>
						  		
  		<fo:block margin-left="4cm" margin-right="0.5cm" space-before="-1.5cm" xsl:use-attribute-sets="cell_border_canvas">
	  		<fo:block xsl:use-attribute-sets="text" margin-left="4.5cm"> </fo:block>
	  		<fo:block xsl:use-attribute-sets="text" margin-left="4.5cm"> <xsl:value-of select="@month"/>&#160;<xsl:value-of select="@yy"/></fo:block>					 							      
	    </fo:block>
	     -->
	     
	     <fo:table table-layout="fixed" space-before="0.5cm">
		    <fo:table-column column-width="1.1cm"/>
		    <fo:table-column column-width="6.5cm"/>
		    	
		    <xsl:variable name="address" select="contract_params/parameter[@pid=$address_param_id]/@value"/>	
		    	
			<fo:table-body>
				<fo:table-row>
					<xsl:variable name="city_index" select="substring($address, 1, $pos_address_delim - 1)"/>
					<xsl:variable name="length" select="string-length($city_index)"/>

					<fo:table-cell><fo:block xsl:use-attribute-sets="text">:</fo:block></fo:table-cell>
					<fo:table-cell><fo:block xsl:use-attribute-sets="text"><xsl:value-of select="$city_index"/></fo:block></fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell><fo:block xsl:use-attribute-sets="text">&#160;</fo:block></fo:table-cell>
					<fo:table-cell><fo:block xsl:use-attribute-sets="text"><xsl:value-of select="substring($address, $pos_address_delim)"/></fo:block></fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell><fo:block xsl:use-attribute-sets="text">&#160;</fo:block></fo:table-cell>
					<fo:table-cell><fo:block xsl:use-attribute-sets="text_bold"  space-before="0.1cm"><xsl:value-of select="@payer"/></fo:block></fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>			
	    
	    <!-- 
	    <fo:block xsl:use-attribute-sets="text" space-before="1cm">:&#160;<xsl:value-of select="contract_params/parameter[@pid=$address_param_id]/@value"/></fo:block>
	    <fo:block xsl:use-attribute-sets="text_bold" space-before="0.2cm"><xsl:value-of select="@payer"/></fo:block>
	     -->
	     
	    <fo:table table-layout="fixed" space-before="0.5cm">
		    <fo:table-column column-width="4.3cm"/>
		    <fo:table-column column-width="4.3cm"/>
		    	
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell><fo:block xsl:use-attribute-sets="text">
						(): 
			    		<fo:inline font-weight="bold">	    				    			
			    			<xsl:for-each select="$numbers/row">
			    				<xsl:if test="position()!=1">,</xsl:if>
			    				<xsl:value-of select="@number"/>
			    			</xsl:for-each>	    			 
			    		</fo:inline></fo:block>
			    	</fo:table-cell>
					<fo:table-cell><fo:block xsl:use-attribute-sets="text">: <fo:inline font-weight="bold"><xsl:value-of select="@contract"/></fo:inline></fo:block></fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell><fo:block xsl:use-attribute-sets="text">
						 : <fo:inline font-weight="bold"><xsl:value-of select="@date"/></fo:inline></fo:block>
			    	</fo:table-cell>
					<fo:table-cell><fo:block xsl:use-attribute-sets="text"> : <fo:inline font-weight="bold">25<xsl:value-of select="substring(@date,3,8)"/></fo:inline></fo:block></fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>						
	    <!-- 
	    <fo:block space-before="0.4cm">
	    	<fo:block xsl:use-attribute-sets="text">(): 
	    		<fo:inline font-weight="bold">	    				    			
	    			<xsl:for-each select="$numbers/row">
	    				<xsl:if test="position()!=1">,</xsl:if>
	    				<xsl:value-of select="@number"/>
	    			</xsl:for-each>	    			 
	    		</fo:inline></fo:block>
	    	<fo:block xsl:use-attribute-sets="text" space-before="0.1cm"> : <fo:inline font-weight="bold"><xsl:value-of select="@date"/></fo:inline></fo:block>
	    </fo:block>
	    <fo:block space-before="-0.8cm" space-after="1cm">
	    	<fo:block xsl:use-attribute-sets="text" margin-left="4.5cm">: <fo:inline font-weight="bold"><xsl:value-of select="@contract"/></fo:inline></fo:block>
	    	<fo:block xsl:use-attribute-sets="text" margin-left="4.5cm" space-before="0.1cm"> : <fo:inline font-weight="bold">25<xsl:value-of select="substring(@date,3,8)"/></fo:inline></fo:block>
	    </fo:block>
	     -->
	</xsl:template>
	
	<xsl:template name="line">
		<fo:table table-layout="fixed" width="100%" weight="0.7pt" space-before="0.2cm" space-after="0.2cm">
			<fo:table-column column-width="proportional-column-width(1)"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell border-bottom-style="solid" border-bottom-width="0.7pt">
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>	
	</xsl:template>
	
</xsl:stylesheet>
